Summary: GNU shell utilities
Name: sh-utils
Version: 1.16
Release: 6C1
Copyright: GPL
Group: Utilities/System
Source: prep.ai.mit.edu:/pub/gnu/sh-utils-1.16.tar.gz
Source1: su.pamd
Patch1: ftp.redhat.com:/sh-utils-1.16-hostname.patch
#Patch2: sh-utils-1.16-pam.patch
Patch4: sh-utils-1.16-getutent.patch
Patch5: sh-utils-1.16-mktime.patch
Patch6: sh-utils-1.16-paths.patch
#Requires: pam >= 0.56
Prereq: /sbin/install-info

%description
The GNU shell utilities provide many of the basic common commands
used (among other things) for shell programming, hence the name.
Nearly all shell scripts use at least one of these programs.

%changelog

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>

- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Fri Apr 18 1997 Michael K. Johnson <johnsonm@redhat.com>

Fixed the sense of the user and root default paths.

* Mon Apr 14 1997 Erik Troan <ewt@redhat.com>

- Fixed getutent patch to define UTMP_READ_INCR
- Modified su.c to define default paths w/o regard to other header files or
  -D style definitions

* Wed Apr 02 1997 Erik Troan <ewt@redhat.com>

- Updated getutent patch for 1.16
- Added mktime patch for 64bit time_t

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>

DEFPATH handling moved from ...path.patch to _PATH_DEFPATH*

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>

Moved from pam.conf to pam.d

%prep
%setup
%patch1 -p1 -b .hostname
#%patch2 -p1 -b .nopam
%patch4 -p1 -b .getutent
%patch5 -p1 -b .mktime
%patch6 -p1 -b .badpaths

autoconf

# this works around autoconf sanity checks
sleep 2

%build
CFLAGS="$RPM_OPT_FLAGS " LDFLAGS=-s ./configure --prefix=/usr
make 
make info

%install
make install
install -m 755 -o 0 -g 0 -s /usr/bin/date /bin
install -m 755 -o 0 -g 0 -s /usr/bin/echo /bin
install -m 755 -o 0 -g 0 -s /usr/bin/false /bin
install -m 755 -o 0 -g 0 -s /usr/bin/true /bin
install -m 755 -o 0 -g 0 -s /usr/bin/stty /bin
install -m 755 -o 0 -g 0 -s /usr/bin/pwd /bin
install -m 755 -o 0 -g 0 -s /usr/bin/uname /bin
install -m 4755 -o 0 -g 0 -s /usr/bin/su /bin
install -m 755 -o 0 -g 0 -s /usr/bin/basename /bin
install -m 755 -o 0 -g 0 -s /usr/bin/sleep /bin
gzip -n -f /usr/info/sh-utils.info

rm -f /usr/bin/[
ln -s test /usr/bin/[

rm -f /usr/usr/bin/date /usr/bin/echo /usr/bin/false /usr/bin/true 
rm -f /usr/bin/stty /usr/bin/pwd /usr/bin/uname
rm -f /usr/usr/bin/su /usr/bin/basename /usr/bin/sleep

strip /usr/bin/dirname /usr/bin/env /usr/bin/expr /usr/bin/id /usr/bin/logname
strip /usr/bin/nice /usr/bin/pathchk /usr/bin/printenv /usr/bin/printf
strip /usr/bin/tee /usr/bin/test /usr/bin/tty /usr/bin/users
strip /usr/bin/who /usr/bin/whoami /usr/bin/yes /usr/bin/[

install -m644 -o 0 -g 0 ${RPM_SOURCE_DIR}/su.pamd /etc/pam.d/su

%post
/sbin/install-info /usr/info/sh-utils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/sh-utils.info.gz /usr/info/dir
fi

%files
%doc NEWS README
%config /etc/pam.d/su
/bin/date
/bin/echo
/bin/false
/bin/true
/bin/sleep
/bin/stty
/bin/pwd
/bin/uname
/bin/su
/bin/basename
/usr/bin/dirname
/usr/bin/env
/usr/bin/expr
/usr/bin/groups
/usr/bin/id
/usr/bin/logname
/usr/bin/nice
/usr/bin/nohup
/usr/bin/pathchk
/usr/bin/printenv
/usr/bin/printf
/usr/bin/tee
/usr/bin/test
/usr/bin/tty
/usr/bin/users
/usr/bin/who
/usr/bin/whoami
/usr/bin/yes
/usr/bin/[
/usr/man/man1/basename.1
/usr/man/man1/date.1
/usr/man/man1/dirname.1
/usr/man/man1/echo.1
/usr/man/man1/env.1
/usr/man/man1/expr.1
/usr/man/man1/false.1
/usr/man/man1/groups.1
/usr/man/man1/id.1
/usr/man/man1/logname.1
/usr/man/man1/pathchk.1
/usr/man/man1/printenv.1
/usr/man/man1/printf.1
/usr/man/man1/pwd.1
/usr/man/man1/sleep.1
/usr/man/man1/tee.1
/usr/man/man1/test.1
/usr/man/man1/true.1
/usr/man/man1/tty.1
/usr/man/man1/users.1
/usr/man/man1/who.1
/usr/man/man1/whoami.1
/usr/man/man1/yes.1
/usr/man/man1/uname.1
/usr/man/man1/nice.1
/usr/man/man1/nohup.1
/usr/man/man1/stty.1
/usr/man/man1/su.1
/usr/info/sh-utils.info.gz
